##
##  infozip.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_zip_here   2.3
%define       V_zip_real   23
%define       V_unzip_here 5.50
%define       V_unzip_real 550

#   package information
Name:         infozip
Summary:      Un-/Packing Tools for [PK]ZIP Files
URL:          http://www.info-zip.org/pub/infozip/
Vendor:       Samuel H. Smith, Greg Roelofs
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Archiver
License:      BSD
Version:      20020419
Release:      20020419

#   list of sources
Source0:      ftp://ftp.info-zip.org/pub/infozip/src/zip%{V_zip_real}.tar.gz
Source1:      ftp://ftp.info-zip.org/pub/infozip/src/unzip%{V_unzip_real}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Info-ZIP provides free, portable, high-quality versions of the Zip
    and UnZip compressor-archiver utilities that are compatible with the
    DOS-based PKZIP by PKWARE, Inc.

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1

%build
    ( cd zip-%{V_zip_here}
      %{l_make} %{l_mflags} -f unix/Makefile generic
    )
    ( cd unzip-%{V_unzip_here}
      os=generic
      case "%{l_target}" in
          *-linux*   ) os=linux_noasm ;;
          *-solaris* ) os=solaris     ;;
          *-freebsd* ) os=freebsd     ;;
      esac
      %{l_make} %{l_mflags} -f unix/Makefile $os
    )

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}
    ( cd zip-%{V_zip_here}
      %{l_make} %{l_mflags} -f unix/Makefile install \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          INSTALL_D="%{l_shtool} mkdir -f -p -m 755"
    )
    ( cd unzip-%{V_unzip_here}
      %{l_make} %{l_mflags} -f unix/Makefile install \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          INSTALL_D="%{l_shtool} mkdir -f -p -m 755"
    )
    chmod -R u+w $RPM_BUILD_ROOT%{_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

